curl -X PATCH "https://api.scanova.io/qr-assets/design-template/9/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "design_info": { "bg": "#112233" } }'
{
"id": 9,
"name": "Blue Gradient",
"resource_type": "qr_category",
"category": 3,
"design_info": { "bg": "#112233" },
"gradient_type": "linear",
"color_palette": "[\"#000\",\"#fff\"]",
"font_styles": null,
"is_template": true,
"info": null,
"template_id": "abc123"
}
QR 资源
更新用户设计模板
PATCH /qr-assets/design-template//
PATCH
/
qr-assets
/
design-template
/
{pk}
/
curl -X PATCH "https://api.scanova.io/qr-assets/design-template/9/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "design_info": { "bg": "#112233" } }'
{
"id": 9,
"name": "Blue Gradient",
"resource_type": "qr_category",
"category": 3,
"design_info": { "bg": "#112233" },
"gradient_type": "linear",
"color_palette": "[\"#000\",\"#fff\"]",
"font_styles": null,
"is_template": true,
"info": null,
"template_id": "abc123"
}
在 Management API 主机(
同时支持
如果
api.scanova.io)上更新账户拥有的设计模板,使用您的原始 Management API 密钥进行身份验证。
PUT https://api.scanova.io/qr-assets/design-template/{pk}/
PATCH https://api.scanova.io/qr-assets/design-template/{pk}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
integer
必填
模板的
id。PUT 和 PATCH,二者接受创建用户设计模板中记录的相同字段——包括 resource_type 与 category 的配对规则,该规则在更新时同样适用。
curl -X PATCH "https://api.scanova.io/qr-assets/design-template/9/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "design_info": { "bg": "#112233" } }'
{
"id": 9,
"name": "Blue Gradient",
"resource_type": "qr_category",
"category": 3,
"design_info": { "bg": "#112233" },
"gradient_type": "linear",
"color_palette": "[\"#000\",\"#fff\"]",
"font_styles": null,
"is_template": true,
"info": null,
"template_id": "abc123"
}
pk 不是该账户拥有的模板,则返回 404。
相关内容
- 获取用户设计模板——更新前先查看。
- 创建用户设计模板——此更新复用的字段参考及
resource_type/category规则。 - 删除用户设计模板——将其彻底删除。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
路径参数
响应
Template updated.
此页面对您有帮助吗?